function [c0,numc,numcope] = zc(c)
% ZC gets and sets current configuration in ZEMAX
%
%   function [c0,numc,numcope] = zw(w,ww)
%
%   INPUT:  c = sets new configuration
%   OUTPUT  c0  = current configuration
%           numc = number of configurations 
%           numcope = number of config operands
% 
%   See also ZS, ZF, ZC
%

if nargin>0
    [c0,numc,error] = strread(zreq(['SetConfig,' int2str(c)]),'%d%d%d','delimiter',',');
    if error ~= 0 
        disp('Zemax error in updating to new configuration!'); 
    else
        zpush;
    end
else
    [c0,numc,numcope] = strread(zreq('GetConfig'),'%d%d%d','delimiter',',');
end

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     