function comments = zcomment(s)
% ZCOMMENT gets surface comments from ZEMAX
% INPUT:    s = surfaces to get comments
% OUTPUT:   labels = cell matrix of comments

if nargin<1, s = 1:zims; end

for i=1:length(s)
    comments{i} = zreq(['GetComment,' int2str(s(i))]);
end

if nargout<1
    out = [];
    disp('Surf #    Label');
    for i=1:length(s)
        out = strvcat(out,[int2str(i) comments{i}]);
    end
    disp(out);
    comments = [];
end

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     