function [xyz,R] = zgc(s)
% ZGC gets global coordinate matrix data for surfaces in ZEMAX
%function [xyz,R] = zgc(s)
% INPUT:    s = surface(s) of desired data
% OUTPUT:   xyz = Decenter data of surface from origin
%           R, 3x3 Rotation matrix giving orientation

if nargin<1, s = 1:zims; end

for i=1:length(s)
    out = str2num(zreq(['GetGlobalMatrix,' int2str(s(i))]));
    x(i) = out(10); y(i) = out(11); z(i) = out(12);
    R(:,:,i) = reshape(out(1:9),3,3);
end

xyz = [x' y' z'];

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     