function labels = zlabel(s)
% ZLABEL gets labels of surfaces in ZEMAX
% INPUT:    s = surface(s) to get labels
% OUTPUT:   labels = cell matrix of labels

if nargin<1, s = 1:zims; end

for i=1:length(s)
    labels(i) = str2num(zreq(['GetLabel,' int2str(s(i))]));
end

if nargout<1
    disp('Surf #   Label');
    disp([s' labels']);
end

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     