function out = zpush(windowupdate)
% ZPUSH "pushes" the DDE server lens into the ZEMAX LDE "front end"
% function out = zpush(windowupdate)
% INPUT:    windowupdate = update windows in Zemax if 1 (default = 0)
% OUTPUT:   out = 0 if success, -999 if failure

if nargin<1, windowupdate = 1; end

if zreq('PushLensPermission') %permission allowed
    out = zreq(['PushLens,' int2str(windowupdate)]);
    if out==-999, disp('Failure to Push lens into Zemax LDE!'); end
else
    disp('Permission not allowed in ZEMAX!');
    disp('Please change setting in Preferences/Editors.');
end

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     