function out = zreq(cmd,timeout)
% ZREQ requests a general command to ZEMAX
% INPUT:    cmd = string
%           timeout = wait time in seconds (default = 3)
% OUTPUT:   out = string
%

if nargin<1, help zreq; return; end
if nargin<2, timeout=3.0; end

global zemax

out = ddereq(zemax,cmd, [1 1], timeout*1000); %[1 1] denotes CF_text and string data

% Debug tools
% disp(['INPUT to ZEMAX   = "' cmd '"'])
% disp(['OUPUT from ZEMAX = "' out '"'])

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     