function [type,cv,th,gla,sd,c,pdata] = zs(s)
% ZS gets surface data in ZEMAX
% function [surfacedata] = zs(s)
% INPUT:    s = lens surface(s) of desired data
% OUTPUT:   type, surface type code (8 char string)
%           cv, curvature = 1/radius
%           th, thickness
%           gla, glass type
%           sd, semi-diameter
%           c, conic constant
%           pdata = p1-p8, parameter values


if nargin<1, s = 1:zims; end

for i=1:length(s)
    [type{i},cv(i),th(i),gla{i},sd(i),c(i), ...
        pdata(i,1),pdata(i,2),pdata(i,3),pdata(i,4),pdata(i,5),pdata(i,6),pdata(i,7),pdata(i,8)] = ...
        strread(zreq(['GetSurface,' int2str(s(i))]),'%s%f%f%s%f%f%f%f%f%f%f%f%f%f','delimiter',',');
end

if nargout<1
    disp('    Surf #     CV        TH     SemiDiam    Conic');
    disp([ s' cv' th' sd' c' ]);
    type = s(end); %return number of surfaces
end

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     