function [numsurfs,unitcode,stopsurf,nonaxialflag,rayaimingtype,useenvdata,temp,pressure,globalrefsurf] = zsys()
% ZSYS gets system data from ZEMAX
% function [numsurfs,unitcode,stopsurf,nonaxialflag,rayaimingtype,
%             useenvdata,temp,pressure,globalrefsurf] = zemaxsystem()
% OUTPUT:   numsurfs, number of surfaces
%           unitcode, 0,1,2,3 for mm, cm, inches, m
%           stopsurf, stop surface number
%           nonaxialflag, 0 for rotationally symmetric, 1 for asymmetric
%           rayaimingtype, 0,1,2 for none, paraxial, real
%           useenvdata, "use environmental data" flag, 0 for no, 1 for yes
%           temp, press, current temperature and pressure
%           globalrefsurf, global reference surface

data = str2num(zreq('GetSystem'));
numsurfs = data(1);
unitcode = data(2);
stopsurf = data(3);
nonaxialflag = data(4);
rayaimingtype = data(5);
useenvdata = data(6);
temp = data(7);
pressure = data(8);
globalrefsurf = data(9);

% Copyright  2005 United States Government as represented by the Administrator 
% of the National Aeronautics and Space Administration.  No copyright is claimed 
% in the United States under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     